
Redmine - Defect #17057

Private Notes

2014-06-02 17:59 - James H

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.4.2

Description

Should private notes be viewable by the person that wrote them?

In my case, only the owner of the issue is able to view all the notes on that issue. Individuals can write private notes to the issues, but

after updating with the note, it is not visible to the respective individuals.

Related issues:

Related to Redmine - Defect #17632: Users can't see private notes created by ... Closed

History

#1 - 2014-06-04 00:57 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to Invalid

James H wrote:

Should private notes be viewable by the person that wrote them?

 IMHO yes...

In my case, only the owner of the issue is able to view all the notes on that issue. Individuals can write private notes to the issues, but after

updating with the note, it is not visible to the respective individuals.

 Your usecase might be different, but anyway, this is not a defect.

Please use the forums for general questions, thank you.

#2 - 2014-06-24 04:16 - Toshi MARUYAMA

FYI:

Private Notes

#3 - 2014-06-24 17:39 - James H

still trying to get some attention from a dev.... that is my thread.

#4 - 2015-06-11 17:47 - James H

- Status changed from Closed to Reopened

is it okay to reopen this now or do we still need verification that its a defect.

#5 - 2016-09-01 15:22 - Anonymous

+1

Also see #17632

#6 - 2016-09-05 08:06 - Toshi MARUYAMA

- Related to Defect #17632: Users can't see private notes created by themselves if "Mark notes as private" is set but "View private notes" is not added
https://www.redmine.org/boards/1/topics/42695
https://www.redmine.org/issues/17632


#7 - 2016-11-16 10:48 - Stephane Evr

+1

#8 - 2017-01-13 12:36 - Peter Puff

+1

#9 - 2017-01-14 10:53 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution changed from Invalid to Duplicate

Fixed in #17632 for 3.4.0
